Skip to main content
POST
/
api
/
v1
/
customer
/
bulk
Creates many new customers from external customer records.
curl --request POST \
  --url https://api.example.com/api/v1/customer/bulk \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
[
  {
    "externalId": "<string>",
    "externalBrandId": "<string>",
    "regDate": "<string>",
    "clickKey": "<string>",
    "externalProductId": "<string>",
    "username": "<string>",
    "country": "<string>",
    "country_code": "<string>"
  }
]
'
import requests

url = "https://api.example.com/api/v1/customer/bulk"

payload = [
{
"externalId": "<string>",
"externalBrandId": "<string>",
"regDate": "<string>",
"clickKey": "<string>",
"externalProductId": "<string>",
"username": "<string>",
"country": "<string>",
"country_code": "<string>"
}
]
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
externalId: '<string>',
externalBrandId: '<string>',
regDate: '<string>',
clickKey: '<string>',
externalProductId: '<string>',
username: '<string>',
country: '<string>',
country_code: '<string>'
}
])
};

fetch('https://api.example.com/api/v1/customer/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "numImported": 123,
  "numDuplicates": 123,
  "numFailed": 123,
  "firstFailureId": "<string>",
  "firstFailureMessage": "<string>"
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Headers

X-Api-Key
string

Body

An array of external customers.

externalId
string
required
Minimum string length: 1
externalBrandId
string
required
Minimum string length: 1
regDate
string
required
Minimum string length: 1
clickKey
string | null
externalProductId
string | null
username
string | null
country
string | null
country_code
string | null

Response

OK

numImported
integer<int32>
numDuplicates
integer<int32>
numFailed
integer<int32>
firstFailureId
string | null
firstFailureMessage
string | null